> For the complete documentation index, see [llms.txt](https://docs.rome.builders/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rome.builders/ko/products/app-sovereignty.md).

# 앱 주권

Solana에서 자신만의 주권형 EVM 체인을 출시하세요 — 맞춤 체인 ID, 가스용으로 어떤 SPL 토큰이든 사용 가능, 그리고 가스 수익은 앱의 금고로 누적됩니다.

앱 주권을 통해 어떤 Solana 애플리케이션이든 자체 체인 ID, 맞춤 가스 토큰, 그리고 공유 프로토콜이 아니라 애플리케이션으로 흐르는 가스 수익을 갖춘 자체 EVM 환경을 출시할 수 있습니다.

## 개요

Rome의 각 애플리케이션은 주권형 EVM 인스턴스를 갖습니다:

* **자체 체인 ID** — 당신의 앱이 곧 자체 체인입니다
* **자체 가스 토큰** — 모든 SPL 토큰(귀하의 프로젝트 토큰, USDC, SOL)
* **가스 수익** — 모든 거래 수수료는 귀하의 자금고로 귀속됩니다
* **완전한 EVM 도구** — 사용자는 MetaMask로 연결하고, 개발자는 Hardhat/Foundry를 사용합니다
* **공유 상태** — EVM 사용자와 Solana 사용자는 동일한 애플리케이션 상태와 유동성을 공유합니다

## 작동 방식

1. **Sovereign Portal을 통해 온보딩** — 체인을 요청하고, 체인 ID와 가스 토큰(모든 SPL 민트)을 구성합니다 [Sovereign Portal](https://sovereign.devnet.romeprotocol.xyz)
2. **Rome이 체인을 가동합니다** — Rome 팀이 체인의 인프라를 프로비저닝하고 운영합니다
3. **컨트랙트 배포** — Hardhat 또는 Foundry를 사용한 표준 Solidity 배포
4. **사용자가 연결합니다** — 귀하의 체인 ID가 설정된 MetaMask 또는 모든 EVM 지갑

공개 레퍼런스 체인을 포함한 모든 운영 중인 Rome 체인 — [**Hadrian**](/ko/networks/hadrian.md) — 공개 [Rome 레지스트리](https://github.com/rome-protocol/rome-registry) (체인 ID, RPC, 컨트랙트 주소), 따라서 주권형 체인은 빌더들이 이미 읽고 있는 동일한 공식 소스를 통해 발견할 수 있습니다.

## 가스 토큰 가격 책정

맞춤 가스 토큰은 Meteora DAMM 풀 — v1 또는 v2, 구성 가능( Pyth/Hermes 대체 경로도 제공됨) — 을 통해 가격이 책정됩니다. Proxy 구성은 다음을 지정합니다. `price_manager` 풀을 읽어 귀하의 가스 토큰과 SOL 간을 변환하여 기반 Solana 거래 수수료를 처리합니다.

```yaml
# 맞춤 가스 토큰용 Proxy 설정
price_manager:
  type: "meteora_damm_v1_pool"   # meteora_damm_v1_pool | meteora_damm_v2_pool | hermes_api
  pool_address: "YOUR_METEORA_POOL_ADDRESS"
```

## 사용 사례: 예측 시장이 EVM 체인을 출시

```
Orra(Solana 예측 시장)는 EVM 사용자를 원합니다:
  1. Rome은 ORRA 토큰을 가스로 사용하여 Orra의 주권형 EVM을 배포합니다
  2. EVM 사용자는 MetaMask로 연결하고, USDC를 브리지하여, 예측 주식을 구매합니다
  3. 내부적으로: rUSDC(ERC-20) → SPL로 언랩 → Orra CPI → 주식 구매
  4. Orra는 모든 EVM 거래에서 ORRA 토큰으로 가스 수수료를 얻습니다
  5. 단일 상태: Solana 사용자와 EVM 사용자는 동일한 시장, 동일한 유동성을 봅니다
```

## 상태

**운영 중** — 파트너와 함께 운영 중인 제품입니다.

## 다음 단계

* [아키텍처](/ko/getting-started/architecture.md) — Rome EVM이 내부에서 작동하는 방식
* [빠른 시작](/ko/getting-started/quickstart.md) — 첫 번째 계약 배포
* [Solidity 배포](/ko/developer-guides/deploy-solidity.md) — Hardhat 및 Foundry용 배포 가이드


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rome.builders/ko/products/app-sovereignty.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
